# SwahiliPro Programming Language Compiler

SwahiliPro is a Swahili-based programming language and compiler designed to make programming more accessible to Swahili-speaking developers. This README provides an overview of SwahiliPro and instructions for building and using the compiler.

## Table of Contents
- [Getting Started](#getting-started)
- [Features](#features)
- [Usage](#usage)
- [Example](#example)
- [Contributing](#contributing)
- [License](#license)

## Getting Started

To get started with SwahiliPro, you'll need to follow these steps:

### Prerequisites

- Ensure you have a compatible development environment set up with a python compiler.
- pip install to install from python packages
   ```bash
   pip install swahilipro

### compiling SwahiliPro Projects

1. Open your terminal and navigate to the SwahiliPro project directory.
2. Run Swahilipro on your terminal to open the compiler
3. type swa("") and fill in the .swa file 

   ```bash
   swa("file.swa")
   
### Features

- SwahiliPro supports a variety of programming features, making it suitable for both beginners and experienced developers.
- Native Swahili keywords and syntax for a comfortable programming experience in Swahili.
- Standard libraries for common tasks and functions.
- Error checking and reporting to help you write bug-free code
- 
### Contribution

We welcome contributions from the open-source community. If you'd like to contribute to SwahiliPro, please follow our contribution guidelines.

### License
SwahiliPro is open-source software released under the MIT License. You are free to use, modify, and distribute it according to the terms of the license.


